<?php
require_once 'Zend/Tag/Cloud/Decorator/Tag.php';

class My_Decorator_TagConsole extends Zend_Tag_Cloud_Decorator_Tag
{
    public function render(Zend_Tag_ItemList $tags)
    {
        $tags->spreadWeightValues(range(30, 37));
        
        $result = array();
        
        foreach ($tags as $tag) {
            $result[] = "\033[". $tag->getParam('weightValue') ."m"
                      . $tag->getTitle()
                      . "\033[0m";
        }
        
        return $result;
    }
}
