<?php

require_once 'Zend/Tag/Cloud.php';

$cloud = new Zend_Tag_Cloud(array(
    'tags' => array(
        array('title' => 'Code', 'weight' => 50,
              'params' => array('url' => '/tag/code')),
        array('title' => 'Zend Framework', 'weight' => 1,
              'params' => array('url' => '/tag/zend-framework')),
        array('title' => 'PHP', 'weight' => 5,
              'params' => array('url' => '/tag/php')),
    ),
    'prefixPath' => array(
        'prefix' => 'My_Decorator_',
        'path'   => dirname(__FILE__) . '/My'
    ),
    'cloudDecorator' => array(
        'decorator' => 'CloudConsole',
        'options' => array(
            'putNewlineAtEnd' => false
        )
    ),
    'tagDecorator' => array(
        'decorator' => 'TagConsole'
    )
));

echo $cloud;
